org.eclipse.ecf.provider.comm.tcp

## Class ConnectRequestMessage

- java.lang.Object
- - org.eclipse.ecf.provider.comm.tcp.ConnectRequestMessage

All Implemented Interfaces:
  Serializable

    public class ConnectRequestMessage
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConnectRequestMessage(URI target, Serializable data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Serializable` `getData()`
`URI` `getTarget()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectRequestMessage

    public ConnectRequestMessage(URI target,
                                 Serializable data)

### Method Detail

#### getTarget

    public URI getTarget()

#### getData

    public Serializable getData()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`